#########################

use Test::More "no_plan";
BEGIN { use_ok('Weigel::Search') };

#########################


use strict;
#use warnings;

use Weigel::Search::Backends::Vmatch;
# configure our search backend, in this case VMATCH
my $sbe = Weigel::Search::Backends::Vmatch->new();

$sbe->settings->tmppath('t/tmp');
$sbe->settings->datapath('t/data');
mkdir("t/tmp");
unlink <t/tmp/*>;
mkdir("t/data");

# generate a VMATCH suffix array
$sbe->generate_database_out_of_fastafile('t/Test.fasta', 'Description for Test.fasta');

mkdir("t/tmp");
opendir(DIR, "t/data") || die "can't opendir t/data: $!";
my @files = grep { /Test/ && -f "t/data/$_" } readdir(DIR);
closedir DIR;

foreach my $file (@files) {
      if ($file =~ /nfo$/) {
         open(FILE, "t/data/$file"); 
         my $filecontent = '';
         while (<FILE>) {
            $filecontent .= $_;
         }
         close(FILE);
         ok($filecontent eq 'Description for Test.fasta', 'Description ok');
      }
      unlink("t/data/$file");
}

ok( scalar( @files) == 16, "16 files now in data dir, 1 fasta file and 15 vmatch index files");

ok ( rmdir("t/tmp") , "Can remove tmp directory (all temp files deleted)" );
ok ( rmdir("t/data"), "Can remove data directory (all data files deleted-just a test for the test)" );

# vim: ft=perl sw=3 ts=3 expandtab
